OpenData product details
API test authentication
The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.
For help generating an API Key or OAuth2 token, please see the Getting started with an API project or OAuth2 documentation.
Path parameters
productIdstringRequired
The id of the product.
Responses
200
Successful response.
application/json
Information about a product made available through this API.
idstringRequired
namestringRequired
descriptionstring[] · min: 1Required
versionstringRequiredPattern:
^/d{4}-/d{2}$urlstringRequired
documentationUrlstringOptional
categorystringOptional
categoriesstring[]Optional
imageCountintegerOptional
imageTemplatestringOptional
downloadsUrlstring · uriOptional
warningstringOptional
endOfLifestringOptionalPattern:
^/d{4}-/d{2}-/d{2}$404
The request does not match any known content. The response will contain a human readable message, and may also contain links to help you navigate to other API endpoints.
application/json
get/products/{productId}
GET /downloads/v1/products/{productId} HTTP/1.1
Host: api.os.uk/
Accept: */*
{
"id": "text",
"name": "text",
"description": [
"text"
],
"version": "text",
"thirdPartyInfo": {
"dataProvider": {
"name": "text",
"shortName": "text",
"homepage": "text",
"logoUrl": "https://example.com"
},
"supportingInfo": [
{
"name": "text",
"link": "https://example.com"
}
],
"alsoAvailable": [
{
"name": "text",
"link": "https://example.com"
}
],
"supportEmail": "name@gmail.com"
},
"url": "text",
"documentationUrl": "text",
"areas": [
"GB"
],
"dataStructures": [
"Raster"
],
"category": "text",
"categories": [
"text"
],
"formats": [
{
"format": "text",
"subformat": "text"
}
],
"imageCount": 1,
"imageTemplate": "text",
"downloadsUrl": "https://example.com",
"warning": "text",
"endOfLife": "text"
}Last updated
Was this helpful?